% show correlation matrix at a pixel

calib_raw = 'calib\\calib0';

%% acquiring parameters
freq1 = 1;  % MHz
freq2 = 180;
freqstep = 1; 
freq = freq1:freqstep:freq2;
freq_len = length(freq);

phs1 = 0;
phs2 = 2;  % periods
phs_len = 160;
phsstep = (phs2-phs1)/phs_len;
phs = phs1 + (0:phs_len-1)*phsstep;

load(calib_raw);

%% check waves
for i = 1:10:freq_len
    dat1 = calib0(:,1,i);
    dat2 = calib0(:,2,i);

    figure(1); 
%     p = plot(phs*2*pi,[dat1 dat2]);
    p = plot(phs*2*pi,dat1);
    set(p,'linewidth',2);
    ylim([-1 1])
    xlim([0,2*pi*phs(end)])
    t = sprintf('%d MHz',i);
    ylabel(t)
    drawnow
    pause(1)
end

